Bug 4652 - urpmi sometimes tries to create empty transactions
: urpmi sometimes tries to create empty transactions
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 18:28 MSK by Denis Silakov
Modified: 2014-11-20 19:24 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-11-12 18:28:33 MSK
It sometimes happen that urpmi tries to create a transaction even if there are no packages to install. This leads to "Invalid transaction size" message that confuses users.
Comment 1 Denis Silakov 2014-11-12 18:32:14 MSK
Advisory:
Do not try to create rpm db transaction if there are no packages to install.

Build lists:
https://abf.io/build_lists/2332689
https://abf.io/build_lists/2332688

How to check:
Clone any project from ABF, e.g.:

$ abf get urpmi

Try to install all BuildRequires for urpmi.spec:

$ cd urpmi
$ urpmi urpmi.spec

Install all sugested packages
If something is installed, then launch the latter command once again:

$ urpmi urpmi.spec

With old urpmi, you will get a message about invalid transaction size. With new urpmi, this message should disappear.
Comment 2 FirstLevel 2014-11-19 17:50:49 MSK
I have tested updated from newly installed 64bit R4 with this updates
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
All goes well.
Comment 3 FirstLevel 2014-11-19 17:54:39 MSK
(In reply to comment #2)
I have successfully updated with  this updates on  64bit R4
> http://bugs.rosalinux.ru/show_bug.cgi?id=4649
> http://bugs.rosalinux.ru/show_bug.cgi?id=4681
> http://bugs.rosalinux.ru/show_bug.cgi?id=4652
> All goes well.
Comment 4 FirstLevel 2014-11-20 10:13:32 MSK
I have successfully updated to actual updates with this containers 
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
from newly installed 32bit R4
Comment 5 Vladimir Potapov 2014-11-20 19:11:11 MSK
urpmi-7.32.3-24
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2332688/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2332689/x86_64/main/release/
******************************** Advisory *************************
Do not try to create rpm db transaction if there are no packages to install.
*******************************************************************
QA Verified